For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get X/Z-Report for a till on a specific date. Returns a ZReport object

Get a X/Z report for a specific date for the selected till. Returns a ZReport json object

Required permissions: TILL_OPERATION

post
/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/xzreport
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tillUidstringRequired

Reference to a till.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
datestring · dateRequired
Responses
200

Example response

application/json
cashAtStartintegerRequired
post/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/xzreport
POST /v2/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/xzreport HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 21

{
  "date": "2026-01-01"
}
{
  "cashAtStart": 1,
  "cashDrawerOpening": {
    "count": 1
  },
  "discountSale": {
    "amount": 1,
    "count": 1
  },
  "header": {
    "companyName": "text",
    "date": "2026-01-01",
    "shopName": "text",
    "tillUid": "text",
    "userName": "text",
    "vatNumber": "text",
    "xz": "text",
    "zreportId": "text"
  },
  "lineCorrections": {
    "count": 1
  },
  "productLookups": [
    {
      "amount": 1,
      "count": 1,
      "name": "text"
    }
  ],
  "receiptCopies": {
    "count": 1
  },
  "saleByMainGroup": [
    {
      "amount": 1,
      "count": 1,
      "name": "text"
    }
  ],
  "saleBySettlementId": [
    {
      "amount": 1,
      "count": 1,
      "name": "text"
    }
  ],
  "saleByVATCode": [
    {
      "amount": 1,
      "count": 1,
      "name": "text"
    }
  ],
  "orderTotals": {
    "sales": {
      "amount": 1,
      "count": 1
    },
    "returns": {
      "amount": 1,
      "count": 1
    },
    "grandTotal": {
      "amount": 1,
      "count": 1
    }
  }
}

Last updated

Was this helpful?